package com.ruoyi.project.patrol.patrol.service;

import com.ruoyi.project.patrol.patrol.domain.TPatrolMain;

import java.util.List;

/**
 * 消气防设施和器材检查计划总Service接口
 *
 * @author ruoyi
 * @date 2023-08-22
 */
public interface ITPatrolMainService
{
    /**
     * 查询消气防设施和器材检查计划总
     *
     * @param id 消气防设施和器材检查计划总主键
     * @return 消气防设施和器材检查计划总
     */
    public TPatrolMain selectTPatrolMainById(Long id);

    /**
     * 查询消气防设施和器材检查计划总列表
     *
     * @param tPatrolMain 消气防设施和器材检查计划总
     * @return 消气防设施和器材检查计划总集合
     */
    public List<TPatrolMain> selectTPatrolMainList(TPatrolMain tPatrolMain);

    /**
     * 新增消气防设施和器材检查计划总
     *
     * @param tPatrolMain 消气防设施和器材检查计划总
     * @return 结果
     */
    public int insertTPatrolMain(TPatrolMain tPatrolMain);

    /**
     * 修改消气防设施和器材检查计划总
     *
     * @param tPatrolMain 消气防设施和器材检查计划总
     * @return 结果
     */
    public int updateTPatrolMain(TPatrolMain tPatrolMain);
    public int updateTPatrolMainByType(TPatrolMain tPatrolMain);

    /**
     * 批量删除消气防设施和器材检查计划总
     *
     * @param ids 需要删除的消气防设施和器材检查计划总主键集合
     * @return 结果
     */
    public int deleteTPatrolMainByIds(Long[] ids);

    /**
     * 删除消气防设施和器材检查计划总信息
     *
     * @param id 消气防设施和器材检查计划总主键
     * @return 结果
     */
    public int deleteTPatrolMainById(Long id);
}
